Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Help with the wiki instructions
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
LIsLinuxIsSogood
l33t
l33t


Joined: 13 Feb 2016
Posts: 882

PostPosted: Mon May 21, 2018 7:49 am    Post subject: Help with the wiki instructions Reply with quote

Hi wondering if these instructions could be slightly elaborated, since they seem confusing, is the reason that I would do this if I am running a no-multilib profile, which don't ask why because that is just the way I initially installed the system. Now I want to get the Brother printer I have to work, which would be fine if I had multilib but I don't.

So I saw this in the wiki:
Code:
Generic LPR printer driver on amd64

The printer driver uses statically compiled x86 32-bit binaries. To be able to execute them the kernel needs to have the following configuration enabled: IA32_EMULATION.

Further, the binaries from Brother (rawtobr3 and brprintconflsr3) require two 32-bit glibc library files in order to be executed on a 64-bit system. These can be compiled by the user, or — even easier — obtain a pre-compiled version (glibc i686) from rpmfind.net or similar site.


What exactly does it mean to have a 32-bit library created from precompiled binaries. When it comes time to implement the LPR printer driver does it just automatically know to look for this? By the way, the instructions that I am referring to are from the "Brother networked printer" wiki page. Here a link, https://wiki.gentoo.org/wiki/Brother_networked_printer
Back to top
View user's profile Send private message
LIsLinuxIsSogood
l33t
l33t


Joined: 13 Feb 2016
Posts: 882

PostPosted: Mon May 21, 2018 8:18 am    Post subject: Reply with quote

I am also basically trying to figure out if there are some suggested ways around the following that don't involve anything other than a VERY reliable solution. So what would that be?

Code:

Calculating dependencies... done!
[ebuild   R    ] net-print/brother-genml1-bin-3.1.0-r1  USE="avahi*"

Would you like to merge these packages? [Yes/No] yes
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) net-print/brother-genml1-bin-3.1.0-r1::brother-overlay
>>> Failed to emerge net-print/brother-genml1-bin-3.1.0-r1, Log file:
>>>  '/var/log/Portage/build/net-print/brother-genml1-bin-3.1.0-r1:20180521-081600.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 1.09, 1.11, 1.01
 * Package:    net-print/brother-genml1-bin-3.1.0-r1
 * Repository: brother-overlay
 * USE:        abi_x86_64 amd64 avahi elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
 * ERROR: net-print/brother-genml1-bin-3.1.0-r1::brother-overlay failed (setup phase):
 *   This package CANNOT be installed on pure 64-bit system. You need multilib enabled.
 *
 * Call stack:
 *                            ebuild.sh, line 124:  Called pkg_setup
 *   brother-genml1-bin-3.1.0-r1.ebuild, line  38:  Called die
 * The specific snippet of code:
 *            die "This package CANNOT be installed on pure 64-bit system. You need multilib enabled."
 *
 * If you need support, post the output of `emerge --info '=net-print/brother-genml1-bin-3.1.0-r1::brother-overlay'`,
 * the complete build log and the output of `emerge -pqv '=net-print/brother-genml1-bin-3.1.0-r1::brother-overlay'`.
 * The complete build log is located at '/var/log/Portage/build/net-print/brother-genml1-bin-3.1.0-r1:20180521-081600.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/net-print/brother-genml1-bin-3.1.0-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-print/brother-genml1-bin-3.1.0-r1/temp/die.env'.
 * Working directory: '/var/tmp/portage/net-print/brother-genml1-bin-3.1.0-r1/homedir'
 * S: '/var/tmp/portage/net-print/brother-genml1-bin-3.1.0-r1/work'
Back to top
View user's profile Send private message
LIsLinuxIsSogood
l33t
l33t


Joined: 13 Feb 2016
Posts: 882

PostPosted: Mon May 21, 2018 8:36 am    Post subject: Reply with quote

I think nevermind...the PCL general driver for lasers under CUPS seems to be working well.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 12731

PostPosted: Tue May 22, 2018 1:40 am    Post subject: Reply with quote

As an aside, that ebuild could use some work. Rather than use a die in pkg_setup, it should test in pkg_pretend. Alternately, at the expense of a bit of clarity, it could be expressed in the dependency language by requiring amd64? ( sys-libs/glibc[multilib] ), so that no-multilib users are blocked due to the USE flag mismatch.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum